Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.facet
Class FacetScale

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.facet.SOMFacet
              com.bea.schema.facet.NumericFacet
                  com.bea.schema.facet.FacetScale

All Implemented Interfaces:
  Serializable

Deprecated. 3/16/2001 superceded by fractionDigits

public class FacetScale
extends NumericFacet

scale is the maximum number of decimal digits in the fractional part of values of datatypes derived from decimal. The value of scale must be a nonNegativeInteger .

Version:
  1.0
Author:
  sharpe
See Also:
  `FacetFractionDigits`, Serialized Form

Field Summary

Fields inherited from class com.bea.schema.facet.SOMFacet
`duration, encoding, enumeration, fractionDigits, length, maxExclusive, maxInclusive, maxLength, minExclusive, minInclusive, minLength, pattern, period, precision, scale, totalDigits, whiteSpace`

Constructor Summary
`FacetScale(String val)` Deprecated.

Method Summary
`String` | `getID()` Deprecated. Returns a printable element tag for this Schema Object

Methods inherited from class com.bea.schema.facet.NumericFacet
`getDouble, getLong, getValue, setDouble, setValue`

Methods inherited from class com.bea.schema.facet.SOMFacet
`getAttributes, getFacet, getFixed, getTagName, setFixed, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacetScale

    public FacetScale(String val)

  Deprecated.

Method Detail

### getID

    public String getID()

  Deprecated.
  Description copied from class: `SOMObject`
  Returns a printable element tag for this Schema Object

  Specified by:
    `getID` in class `SOMObject`
  Returns:
    String representation of the element tag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD